Subject: Re: bug#13949: 24.3.50; `fill-paragraph' should not always put the buffer as modified

From: Dani Moncayo <[email-masked]>
Date: Fri, 15 Mar 2013 08:27:58 +0100

>>> - change fill.el so that filling paragraph doesn't just "unfill whole
>>> paragraph + fill whole paragraph" but instead goes line by line, and
>>> only modifies the text where there's a need to.
>> But it sounds like Dani wants this behavior not only for
>> fill-paragraph, but for any command that can potentially modify the
>> buffer, but actually doesn't.
>
> While I think he'd be happy if we could do that, I didn't take his
> request to be so extreme.  So even if we can't handle all cases, it
> makes sense to try and improve this one case.

+1

As I said yesterday in a reply to Eli, modifying the fill algorithm as
you suggest above would be an improvement, I think.

-- 
Dani Moncayo